Package org.apache.commons.beanutils2.converters

# Class BigIntegerConverter

java.lang.Object
org.apache.commons.beanutils2.converters.AbstractConverter<BigInteger>
org.apache.commons.beanutils2.converters.NumberConverter<BigInteger>
org.apache.commons.beanutils2.converters.BigIntegerConverter

All Implemented Interfaces:
  `Converter<BigInteger>`

public final class BigIntegerConverter extends NumberConverter<BigInteger>
`NumberConverter` implementation that handles conversion to and from java.math.BigInteger objects.

This implementation can be configured to handle conversion either by using BigInteger's default String conversion, or by using a Locale's pattern or by specifying a format pattern. See the `NumberConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BigIntegerConverter()`
  Constructs a java.math.BigInteger Converter that throws a `ConversionException` if an error occurs.
  `BigIntegerConverter(Number defaultValue)`
  Constructs a java.math.BigInteger Converter that returns a default value if an error occurs.
  `BigIntegerConverter(BigInteger defaultValue)`
  Constructs a java.math.BigInteger Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<BigInteger>`
  `getDefaultType()`
  Gets the default type this `Converter` handles.

  ### Methods inherited from class org.apache.commons.beanutils2.converters.NumberConverter

  `convertToString, convertToType, getLocale, getPattern, isAllowDecimals, setLocale, setPattern, setUseLocaleFormat, toString`

  ### Methods inherited from class org.apache.commons.beanutils2.converters.AbstractConverter

  `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toLowerCase, toString, toTrim`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BigIntegerConverter

    public BigIntegerConverter()
    Constructs a java.math.BigInteger Converter that throws a `ConversionException` if an error occurs.

  - ### BigIntegerConverter

    public BigIntegerConverter(BigInteger defaultValue)
    Constructs a java.math.BigInteger Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

  - ### BigIntegerConverter

    public BigIntegerConverter(Number defaultValue)
    Constructs a java.math.BigInteger Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### getDefaultType

    protected Class<BigInteger> getDefaultType()
    Gets the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter<BigInteger>`
    Returns:
      The default type this `Converter` handles.
    Since:
      1.8.0